Subject: Re: [patch -linus] regmap: REMAP_IRQ should select IRQ_DOMAIN itself

From: Mark Brown <[email-masked]>
Date: Wed, 23 May 2012 10:32:08 +0100

On Tue, May 22, 2012 at 11:57:30PM -0700, David Rientjes wrote:

> regmap: REMAP_IRQ should select IRQ_DOMAIN itself
> 
> CONFIG_REGMAP_IRQ relies on CONFIG_IRQ_DOMAIN since 4af8be67fd99 ("regmap: 
> Convert regmap_irq to use irq_domain").
> 
> Instead of ensuring all options that select REGMAP_IRQ also select 
> IRQ_DOMAIN, just make the former select the latter itself.

The reason we're selecting things from the users is that multi-level
selects have never seemed to be terribly robust, they've been a
noticable source of breakage with this sort of randconfig stuff in the
past which is painful and annoying, especially given the strange fixes
that tend to come from randconfig reports.

That said a "select X if Y" construct doesn't ever seem to have this
problem...  I'm just sending a patch doing that now.